Flyspray - The bug killer!

  • Status Closed
  • Percent Complete
    0%
  • Task Type TODO
  • Category Backend/Core
  • Assigned To
    Cristian Rodríguez R.
  • Operating System All
  • Severity Very Low
  • Priority Defer
  • Reported Version 0.9.9-devel
  • Due in Version null
  • Due Date Undecided
  • Votes
  • Private
Attached to Project: Flyspray - The bug killer!
Opened by Cristian Rodríguez R. - 08.03.2006
Last edited by Cristian Rodríguez R. - 26.07.2007

FS#849 - TODO: make sure flyspray is compatible with PHP6

THis a a remider task, to be looked in future time,very low priority.

That's the list of actual problems for flyspary running on PHP-CVS

1. PHP6 doesn't have magic_quotes_* actually, every call to any function that involves magic_quotes returns FALSE.
additionally every call to set_magic_quotes_runtime() raises an E_CORE_ERROR.(FATAL ERROR)

2. PHP6 doesn't have register_globals :-) every call to detect register_globals setting returns FALSE ( this is true for the installer I think)

3, PHP6 doesnt' have safe_mode any call to detect safe_mode will return FALSE ( this is true for the installer)

in short, flyspray requires some changes to be compatible with PHP6.

I'll look into this issues in later MONTHS, again this is just a reminder task.

Edit : PHP devlopers decided to NOT raise E_FATAL on calling dinamic functions as static, to keep some BC with PHP4.

Closed by  Anonymous Submitter

Reason for closing:  No reason
Admin
Cristian Rodríguez R. commented on 16.01.2007 09:00

Suspended until first php 6 preview release. too much undergoing changes to actually code something now.

Loading...

Available keyboard shortcuts

Tasklist

Task Details

Task Editing